%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define ename moodin

Name: ksplash-engine-%ename
Version: 0.4.2
Release: alt0.M24.1

Group: Graphical desktop/KDE
Summary: Splash Screen Engine for KDE
License: GPL
URL: http://moodwrod.com/files/

Requires: kdelibs >= %{get_version kdelibs}

Source: ksplash-engine-%{ename}_%version.tar.gz
Source1: ksplash%ename.desktop

BuildRequires: XFree86-devel
BuildRequires: automake autoconf
BuildRequires: kdebase-devel
BuildRequires: gcc-c++
BuildRequires: libqt3-devel libstdc++-devel
BuildRequires: kdelibs-devel

%description
Heavily customizable engine for various types of themes

%prep
%setup -q -n %ename

%build
export QTDIR=%qtdir
make -f admin/Makefile.common
%__subst 's/\.la\>/.so/g' admin/acinclude.m4.in configure
%__subst 's/\(-Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g' admin/acinclude.m4.in
%configure \
        --enable-final \
        --disable-rpath \
        --enable-shared \
        --disable-static \
        --disable-debug \
        --program-transform-name=""

%make_build

%install
%make DESTDIR=%buildroot install
%__cp -f %SOURCE1 %buildroot%_datadir/services/
%files
%doc src/doc/THEMEOPTIONS debian/changelog
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
%_datadir/apps/ksplash/Themes/*
%_datadir/services/*.desktop

%changelog
* Wed Jan 17 2007 Motsyo Gennadi <drool@altlinux.ru> 0.4.2-alt0.M24.1
- backport to ALT Linux 2.4 Master

* Mon Jan 08 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.4.2-alt1
- Initial spec (based on kde-styles-activeheart-kwin)
